## org.eclipse.emf.ecore.sdo.action
Class EvaluatePathAction.EvaluationDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.ecore.sdo.action.EvaluatePathAction.EvaluationDialog

All Implemented Interfaces:
  IShellProvider

Enclosing class:
  EvaluatePathAction

    public static class EvaluatePathAction.EvaluationDialog

extends Dialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected EDataObject` `eDataObject`
`protected java.lang.reflect.Method[][]` `methods`
`protected Combo` `operationChoice`
`protected Text` `pathText`
`protected Text` `resultText`
`protected static java.lang.Object[][]` `TYPE_DATA`
`protected Combo` `typeChoice`
`protected Combo` `valueText`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`EvaluatePathAction.EvaluationDialog(Shell shell, EDataObject eDataObject)`

Method Summary
`protected void` `buttonPressed(int buttonID)`
`protected void` `configureShell(Shell newShell)`
`protected void` `createButtonsForButtonBar(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`protected void` `evaluate()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_DATA

    protected static final java.lang.Object[][] TYPE_DATA

### methods

    protected java.lang.reflect.Method[][] methods

### eDataObject

    protected EDataObject eDataObject

### pathText

    protected Text pathText

### resultText

    protected Text resultText

### valueText

    protected Combo valueText

### operationChoice

    protected Combo operationChoice

### typeChoice

    protected Combo typeChoice

Constructor Detail

### EvaluatePathAction.EvaluationDialog

    public EvaluatePathAction.EvaluationDialog(Shell shell,
                                               EDataObject eDataObject)

Method Detail

### configureShell

    protected void configureShell(Shell newShell)

  Overrides:
    `configureShell` in class `Window`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `Dialog`

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Overrides:
    `createButtonsForButtonBar` in class `Dialog`

### buttonPressed

    protected void buttonPressed(int buttonID)

  Overrides:
    `buttonPressed` in class `Dialog`

### evaluate

    protected void evaluate()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.